#
#
# Example 6:   Central product of SL(6,3) with M12 < GL(10,3)
#
;
SetInfoLevel(InfoFindEvenNormal,3);
a := SL(6,3);
bgens := AtlasGenerators("M12",8).generators;       
b := Group(bgens);
gens1 := List([1..4],x->PseudoRandom(a));
gens2 := List([1..4],x->PseudoRandom(b));
gens := [];
x := PseudoRandom(GL(60,3));
for g in gens1 do 
  for h in gens2 do
    Add(gens,KroneckerProduct(g,h)^x);
  od; 
od;
g := Group(gens);
r := FindEvenNormalSubgroup(g,rec(Projective := true));
Size(StabilizerChain(Group(r.Ngens)));
Size(a);
Size(b);
