#
#
# Examples for finding even order normal subgroups:
#
# Example 1:   S_30 wr S_7 < S_210
#
SetInfoLevel(InfoFindEvenNormal,3);
n := 7;
k := 30;
w := WreathProductImprimitiveAction(SymmetricGroup(n),SymmetricGroup(k));
let("x",PseudoRandom(SymmetricGroup(n*k)));
let("l",List([1..30],i->PseudoRandom(w)^x));
ww := Group(l);
let("r",FindEvenNormalSubgroup(ww));
RecFields(r);
Orbits(Group(r.Ngens),[1..210],OnPoints);
SetInfoLevel(InfoFindEvenNormal,0);
